credentialing_request_status_update_webhook

As the credentialing request is being processed, the status of the request will update. This webhook will send events to notify that the status of a CredentialingServiceRequest has updated.

Payload
uuid
required

The CredentialingServiceRequest where the status was updated.

uuid
required

The related credentialing file.

required
  • INITIAL_CREDENTIALING - INITIAL_CREDENTIALING
  • RE_CREDENTIALING - RE_CREDENTIALING

INITIAL_CREDENTIALING RE_CREDENTIALING

uuid
required

Medallion's provider ID.

required

Provider's NPI.

string
enum
required

The status the CredentialingServiceRequest has updated to.

The following statuses are used for initial_credentialing and re_credentialing service requests:

  • intake_inprogress: Medallion is gathering the provider data necessary to perform the credentialing request.
  • verification_inprogress: Medallion is gathering the required verifications for the credentialing file.
  • ready_for_committee: The credentialing file has been completed and is ready for the committee(s). The credentialing file is ready to be assigned the committees to review.
  • in_committee: The credentialing file has been assigned to the committees for review. The request will remain in this status until the committee has decided on an outcome.
  • committee_approved: The committee reviewed the credentialing file and the committee decided to approve the file. This is a terminal status. The CredentialingServiceRequest will remain in this status.
  • committee_rejected: The committee reviewed the credentialing file and the committee decided to reject the file. This is a terminal status. The CredentialingServiceRequest will remain in this status.
  • archived: Medallion was unable to make progress on this CredentialingServiceRequest and therefore archived it. See the status_reason property for additional details.

The following additional statuses are used for re-credentialing service requests:

  • scheduled: The request is scheduled to be worked on. Medallion will start work on this request when the recredentialing_start_date is met.
  • file_expired: The request was not completed before the recredentialing_deadline and the file has expired.
enum
required

Specifies the reason a service request has a given status.

When the status property is "archived" one of the following reasons will be used:

  • non_responsive_provider: Medallion was not able to obtain information from the provider to complete CredentialingServiceRequest within time.
  • non_responsive_psv: Medallion was not able to obtain information from at least one primary source within time.
  • behalf_client_request: Work on this request has been stopped by a Medallion agent per the client's request.
  • client_request: Work on this request has been stopped by a client. This is currently the only way a client can mark a request as 'archived'.
  • incomplete_app: Work on this request has stopped because the provider's app is incomplete.
  • import_expired: Medallion failed to successfully import from CAQH within time.
  • deactivated_provider: Work on this request has stopped because the provider is deactivated.
  • provider_not_rostered: Work on this request has stopped because the provider is not rostered.
  • invalid_provider_npi: Work on this request has stopped because the the provider's NPI is invalid.
  • invalid_caqh_id: Work on this request has stopped because the the CAQH ID is invalid.

When the status property is "closed" one of the following reasons may be used:

  • no_committee_decision: Work on this request has stopped after being marked ready because the organization does not record committee decisions through Medallion.
required

Additional details about the status reason.

enum
required

The status of the credentialing file.

  • clear: There are no issues with the file.
  • incomplete: There is missing information in the file.
  • needs_attention: An element in the file has an issue.
required

The date and time the status was updated.

required

Used by external API clients. This ID allows external API clients to correlate between requests and match our service request with a record in their systems. This ID is optional and will only exist if one was provided when the CredentialingServiceRequest was created.

Responses
200

No response body

400

Bad request

401

Unauthorized

LoadingLoading…